window.Gleam.initSearch([{"doc":"pprint","title":"pprint","content":"# pprint\n\n[![Package Version](https://img.shields.io/hexpm/v/pprint)](https://hex.pm/packages/pprint)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/pprint/)\n\n💄 Pretty print values with style!\n\n```sh\ngleam add pprint --dev\n```\n\n```gleam\nimport pprint\n\npub fn main() {\n  Ok([&quot;my&quot;, &quot;super&quot;, &quot;awesome&quot;, &quot;useless&quot;, &quot;list&quot;])\n  |&gt; pprint.debug\n}\n\n// Prints (with color!):\n// Ok([\n//   &quot;my&quot;,\n//   &quot;super&quot;,\n//   &quot;awesome&quot;,\n//   &quot;useless&quot;,\n//   &quot;list&quot;,\n// ])\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/pprint&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"pprint","title":"BitArrayMode","content":"pub type BitArrayMode {\n  BitArraysAsString\n  KeepBitArrays\n}\n Since Erlang handles BitArrays differently than JavaScript does, the\n `BitArraysAsString` config option enables compatibility between the two targets.\n\n These options only affect the JS target, which does not convert bit arrays to\n strings by default like Erlang does.\n\nBitArraysAsString\n Bit arrays will be converted to strings when pretty printed.\n\nKeepBitArrays\n Bit arrays will be kept the same.\n\nSynonyms:\npprint.BitArrayMode\npprint BitArrayMode","url":"pprint.html#BitArrayMode"},{"doc":"pprint","title":"Config","content":"pub type Config {\n  Config(\n    style_mode: StyleMode,\n    bit_array_mode: BitArrayMode,\n    label_mode: LabelMode,\n  )\n}\n Configuration for the pretty printer.\n\nConfig(\n  style_mode: StyleMode,\n  bit_array_mode: BitArrayMode,\n  label_mode: LabelMode,\n)\n\n\nSynonyms:\npprint.Config\npprint Config","url":"pprint.html#Config"},{"doc":"pprint","title":"LabelMode","content":"pub type LabelMode {\n  Labels\n  NoLabels\n}\n This option only affects the JavaScript target since Erlang has a different\n runtime representation of custom types that omits labels.\n\nLabels\n Show field labels in custom types.\n \n Foo(42, bar: &quot;bar&quot;, baz: &quot;baz&quot;)\n \n\nNoLabels\n Leave out field labels.\n \n Foo(42, &quot;bar&quot;, &quot;baz&quot;)\n \n\nSynonyms:\npprint.LabelMode\npprint LabelMode","url":"pprint.html#LabelMode"},{"doc":"pprint","title":"StyleMode","content":"pub type StyleMode {\n  Styled\n  Unstyled\n}\n Styling can be configured with `StyleMode`.\n\nStyled\n Data structures are styled with ANSI style codes.\n\n &gt; ⚠️ **WARNING:** Styling is subject to change *without* a major release!\n This means that this option should only be used for debugging purposes and\n *should not* be used in tests.\n\nUnstyled\n Everything remains unstyled.\n\nSynonyms:\npprint.StyleMode\npprint StyleMode","url":"pprint.html#StyleMode"},{"doc":"pprint","title":"debug","content":"pub fn debug(value: a) -&gt; a\n Pretty print a value with the config below to stderr for debugging purposes.\n The value is returned back from the function so it can be used in pipelines.\n\n \n Config(Styled, KeepBitArrays, Labels)\n \n\n # Examples\n\n \n pprint.debug([1, 2, 3])\n |&gt; list.each(pprint.debug)\n\n // Prints:\n // [1, 2, 3]\n // 1\n // 2\n // 3\n \n\nSynonyms:\npprint.debug\npprint debug","url":"pprint.html#debug"},{"doc":"pprint","title":"format","content":"pub fn format(value: a) -&gt; String\n Pretty print a value as a string with the following config:\n \n Config(Unstyled, BitArraysAsString, NoLabels)\n \n This function behaves identically on both targets so it can be relied upon\n for snapshot testing.\n\nSynonyms:\npprint.format\npprint format","url":"pprint.html#format"},{"doc":"pprint","title":"styled","content":"pub fn styled(value: a) -&gt; String\n Pretty print a value as a string with the following config:\n \n Config(Styled, BitArraysAsString, NoLabels)\n \n This function behaves identically on both targets.\n\n &gt; ⚠️ **WARNING:** Styling is subject to change *without* a major release!\n This means that this function should only be used for debugging purposes and\n *should not* be used in tests.\n\nSynonyms:\npprint.styled\npprint styled","url":"pprint.html#styled"},{"doc":"pprint","title":"with_config","content":"pub fn with_config(value: a, config: Config) -&gt; String\n Pretty print a value as a string with a custom config.\n\n # Examples\n\n \n [1, 2, 3, 4]\n |&gt; pprint.with_config(Config(Styled, KeepBitArrays, Labels))\n \n\nSynonyms:\npprint.with_config\npprint with_config","url":"pprint.html#with_config"},{"doc":"pprint","title":"pprint","content":"","url":"pprint.html"}]);